%define fname	jenkinsapi

Name:		python-jenkinsapi
Summary:	Jenkins API for Python
Version:	0.3.13
Release:	%mkrel 3
Source0:	https://pypi.io/packages/source/j/%{fname}/%{fname}-%{version}.tar.gz
# Fix console scripts in pyproject.toml 
Patch0:		https://github.com/pycontribs/jenkinsapi/commit/ec2a23ff4d2ff539de34810da0a4189c6be1eb41.patch
Patch1:		0001-fix-requirements.patch
URL:		https://pypi.python.org/pypi/jenkinsapi/
Group:		Development/Python
License:	MIT
BuildArch:	noarch

%description
Provide a Python API for Jenkins.

%package -n python3-jenkinsapi
Summary:	Jenkins API for Python 3
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{fname}}

%description -n python3-jenkinsapi
Provide a Python 3 API for Jenkins.

%prep
%setup -q -n %{fname}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
mkdir -p requirements
touch requirements/dev-requirements.txt
# pyproject_wheel macro doesn't build script in /bin
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jenkinsapi

%files -n python3-jenkinsapi -f %{pyproject_files}
%doc README.rst
%{_bindir}/jenkins_invoke
%{_bindir}/jenkinsapi_version


%changelog
* Sun Mar 02 2025 wally <wally> 0.3.13-3.mga10
+ Revision: 2158302
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 0.3.13-2.mga10
+ Revision: 2018998
- Mass Rebuild - Python 3.12

* Mon Sep 11 2023 papoteur <papoteur> 0.3.13-1.mga10
+ Revision: 1986299
- fix requirements
- new 0.3.13

* Thu Mar 24 2022 umeabot <umeabot> 0.3.11-5.mga9
+ Revision: 1825041
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.3.11-4.mga9
+ Revision: 1784137
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.3.11-3.mga9
+ Revision: 1732574
- Rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 0.3.11-2.mga8
+ Revision: 1671146
- provide and obsolete old python-jenkinsapi
- drop bundled egg-info

* Sat Feb 22 2020 shlomif <shlomif> 0.3.11-1.mga8
+ Revision: 1549392
- New version 0.3.11

* Sun Feb 16 2020 umeabot <umeabot> 0.3.4-5.mga8
+ Revision: 1533069
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.3.4-4.mga8
+ Revision: 1443271
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.3.4-3.mga7
+ Revision: 1351674
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.4-2.mga7
+ Revision: 1289122
- Mageia 7 Mass Rebuild

* Sat Nov 04 2017 shlomif <shlomif> 0.3.4-1.mga7
+ Revision: 1175896
- New version 0.3.4

* Sat Aug 05 2017 pterjan <pterjan> 0.2.29-2.mga7
+ Revision: 1135464
- Rebuild for python 3.6

* Thu Dec 17 2015 shlomif <shlomif> 0.2.29-1.mga6
+ Revision: 911421
- New version 0.2.29

* Fri Oct 09 2015 shlomif <shlomif> 0.2.28-1.mga6
+ Revision: 888080
- New version + Rebuild for new Python3 3.5.x

* Tue Nov 04 2014 shlomif <shlomif> 0.2.25-1.mga5
+ Revision: 795525
- Import python-jenkinsapi

